// -----------------------------------------------------------------------
// DAP116  Win 3.x Software driver example       (c) Spectrum GmbH 08/1997
// -----------------------------------------------------------------------
// This example will only work correct, if the DAP116  is installed with
// the default address and the smallest memory. Otherwise the example
// must be adapted.
// -----------------------------------------------------------------------

#include <stdio.h>
#include <string.h>
#include <math.h>
#include <windows.h>

#include "DLLTYP.H"
#include "SPECTRUM.H"
#include "ERRORS.H"
#include "REGS.H"

int16 Data0[1024l];

int PASCAL WinMain(HINSTANCE, HINSTANCE, LPSTR, int)
  {
  int32 i;

  // ----- Initialize Driver -----------------------------------------------
  SpcInitBoard (0, TYP_DAP116);

  // ----- Set params for Recording ----------------------------------------
  SpcSetParam (0, SPC_ISAADR,              0x360);
  SpcSetParam (0, SPC_INSTMEM,             32768l);       // 32k version
  SpcSetParam (0, SPC_MEMSIZE,             1024l);        // memsize 1 kSample
  SpcSetParam (0, SPC_SAMPLERATE,          100000000l);   // samplerate 100 MHz
  SpcSetParam (0, SPC_EXTERNALCLOCK,       0l);           // internal clock
  SpcSetParam (0, SPC_TRIGGERMODE,         TM_SOFTWARE);  // software trigger
  SpcSetParam (0, SPC_SINGLESHOT,          0l);           // continous output
  SpcSetParam (0, SPC_PATTERNENABLE,       0l);           // no pattern output
  SpcSetParam (0, SPC_FILTER,              2l);           // 25 MHz Filter
  SpcSetParam (0, SPC_AMP0,                51l);          // Amplitude 2 Vss
  SpcSetParam (0, SPC_OFFS0,               128l);         // Offset 0 Volt

  // ----- Calc modulated sine for output ----------------------------------
  for (i=0; i<1024l; i++)
	 Data0[(int16)i] = (int16) (1500.0 * sin (2.0*M_PI*i/256.0) + 500.0 * sin (2.0*M_PI*i/32.0));

  // ----- Write data to board ---------------------------------------------
  SpcSetData (0, 0, 0, 1024l, (dataptr) &Data0[0]);

  // ----- Start the board -------------------------------------------------
  SpcSetParam (0, SPC_COMMAND,       SPC_START);

  MessageBox (0, "DAP116, Output started.", "Demo116", MB_OK);
  return 0;
  }
