// -----------------------------------------------------------------------
// PAD1232 Win 3.x Software driver example       (c) Spectrum GmbH 08/1997
// -----------------------------------------------------------------------
// This example will only work correct, if the PAD1232 is installed with
// the default address and the smallest memory. Otherwise the example
// must be adapted.
// -----------------------------------------------------------------------

#include <stdio.h>
#include <string.h>
#include <windows.h>

#include "DLLTYP.H"
#include "SPECTRUM.H"
#include "ERRORS.H"
#include "REGS.H"

int16 Data0[1024l], Data1[1024l];

int PASCAL WinMain(HINSTANCE, HINSTANCE, LPSTR, int)
  {
  int32 Status;

  // ----- Initialize Driver -----------------------------------------------
  SpcInitBoard (0, TYP_PAD1232b);       // PAD1232 30 MHz

  // ----- Set params for Recording ----------------------------------------
  SpcSetParam (0, SPC_ISAADR,              0x360);
  SpcSetParam (0, SPC_INSTMEM,             65536l);       // 64k version
  SpcSetParam (0, SPC_MEMSIZE,             1024l);        // memsize 1 kSample
  SpcSetParam (0, SPC_POSTTRIGGER,         512l);         // posttrigger 512 Sample
  SpcSetParam (0, SPC_SAMPLERATE,          10000000l);    // samplerate 10 MHz
  SpcSetParam (0, SPC_AMP0,                AMP_BI1000);   // inputrange0 +/- 1000 mV
  SpcSetParam (0, SPC_AMP1,                AMP_BI1000);   // inputrange1 +/- 1000 mV
  SpcSetParam (0, SPC_EXTERNALCLOCK,       0l);           // internal clock
  SpcSetParam (0, SPC_TRIGGERMODE,         TM_SOFTWARE);  // software trigger
  SpcSetParam (0, SPC_TRIGGERLEVEL,        8l);           // not necessary for software trigger
  SpcSetParam (0, SPC_PULSEWIDTH,          0l);           // not necessary for software trigger
  SpcSetParam (0, SPC_MULTI,               0l);           // no multiple recording

  // ----- Start the board -------------------------------------------------
  SpcSetParam (0, SPC_COMMAND,       SPC_START);

  // ----- Wait for Status ready -------------------------------------------
  do
    {
    SpcGetParam (0, SPC_STATUS, &Status);
    }
  while (Status != SPC_READY);

  // ----- Read data -------------------------------------------------------
  SpcGetData (0, 0, 0, 1024l, (dataptr) &Data0[0]);
  SpcGetData (0, 1, 0, 1024l, (dataptr) &Data1[0]);

  MessageBox (0, "\nPAD1232 ready, Data transferred.\n", "Demo1232", MB_OK);
  return 0;
  }
