// -----------------------------------------------------------------------
// PCK400  Win31 Software driver example         (c) Spectrum GmbH 02/1998
// -----------------------------------------------------------------------
// This example will only work correct, if the PCK400  is installed with
// the default address. Otherwise the example must be adapted.
// -----------------------------------------------------------------------

#include <stdio.h>
#include <string.h>
#include <windows.h>

#include "DLLTYP.H"
#include "SPECTRUM.H"
#include "ERRORS.H"
#include "REGS.H"

int PASCAL WinMain(HINSTANCE, HINSTANCE, LPSTR, int)
{

  // ----- Initialize Driver -----------------------------------------------
  SpcInitBoard (0, TYP_PCK400);

  // ----- Set params ------------------------------------------------------
  SpcSetParam (0, SPC_ISAADR,      0x340);        //default address
  SpcSetParam (0, SPC_FREQUENCE,   25000000L);    //25 MHz

  SpcSetParam (0, SPC_PINLOW,      0l);           //0 V
  SpcSetParam (0, SPC_PINHIGH,     3400l);        //3.4 V, computed in mV
  SpcSetParam (0, SPC_STOPLEVEL,   0l);           //Stoplevel is low
  SpcSetParam (0, SPC_COMMAND,     SPC_RELAISON); //Relais on
  SpcSetParam (0, SPC_TRIGGERMODE, TM_SOFTWARE);

  // ----- Start the board -------------------------------------------------
  SpcSetParam (0, SPC_COMMAND,     SPC_START);

  MessageBox (0, "PCK400: Output started", "Demo400", MB_OK);

  return 0;
}
