// -----------------------------------------------------------------------
// PADCO0  Win31 Software driver example         (c) Spectrum GmbH 09/1999
// -----------------------------------------------------------------------
// This example will only work correct, if the PADCO  is installed with
// the default address. Otherwise the example must be adapted.
// -----------------------------------------------------------------------

#include <stdio.h>
#include <windows.h>

#include "DLLTYP.H"
#include "SPECTRUM.H"
#include "ERRORS.H"
#include "REGS.H"

int PASCAL WinMain(HINSTANCE, HINSTANCE, LPSTR, int)
	{

	// ----- Initialize Driver -----------------------------------------------
	SpcInitBoard (0, TYP_PADCO);
	SpcSetParam (0, SPC_ISAADR,      0x340);

	// ----- Set counter params ----------------------------------------------
	SpcSetParam (0, SPC_COUNTER0,    0x0020);
	SpcSetParam (0, SPC_COUNTER1,    0x0020);
	SpcSetParam (0, SPC_COUNTER2,    0x0020);
	SpcSetParam (0, SPC_COUNTER3,    0x0020);
	SpcSetParam (0, SPC_COUNTER4,    0x0020);
	SpcSetParam (0, SPC_COUNTER5,    0x0020);
	SpcSetParam (0, SPC_MODE0,       CM_SINGLE | CM_POSEDGE | CM_HIGHPULSE);
	SpcSetParam (0, SPC_MODE1,       CM_LOWPULSE);
	SpcSetParam (0, SPC_MODE3,       CM_HIGHPULSE);
	SpcSetParam (0, SPC_TRIGGERMODE, TM_TTL);

	// ----- Start output ----------------------------------------------------
	if (SpcSetParam (0, SPC_COMMAND, SPC_START) != ERR_OK)

	// ----- error test ------------------------------------------------------
		{
		int32 ErrorCode, ErrorReg, ErrorValue;
		char  s[255];
		SpcGetParam (0, SPC_LASTERRORCODE,         &ErrorCode);
		SpcGetParam (0, SPC_LASTERRORREG,          &ErrorReg);
		SpcGetParam (0, SPC_LASTERRORVALUE,        &ErrorValue);
		sprintf (s, "Error:%ld register:%ld value:%ld\n", ErrorCode, ErrorReg, ErrorValue);
		MessageBox (0, s, "DemoPADCO", MB_OK);
		return 0;
		}
	return 0;
	}
